<template>
    <div>
        <div>
            <SpellbookGetter @spellbookById="updateSpellbook"/>
        </div>
        <div v-if="!!this.spellbook">
            <div>{{spellbook.name}}</div>
            <div v-for="spell in spellbook.spells" :key="spell.name">
                <Card :spell="spell"/>
            </div>
        </div>
    </div>
</template>

<script>
    import SpellbookGetter from './GetSpellbookInfo'
    import Card from '../card/Card'

    export default {
        name: "SpellbookChooser",
        components: {
            SpellbookGetter,
            Card
        },
        data() {
            return {
                spellbook: null
            }
        },
        methods: {
            updateSpellbook(spellbook) {
                console.log("spellbook for update", spellbook);
                this.spellbook = spellbook;
            }
        }
    }
</script>

<style scoped>

</style>